Skip to content
Last updated

DomainRegister

Sends the Register command to the registrar for the domain

Connects to the registrar and attempts to register the domain.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DomainRegister"Required
domainidintThe id of the domain to register recommendedOptional
domainstringThe domain name to be registered. This or $domainid is requiredOptional
idnlanguagestringThe language code for the domain being registered - will override the input already on the domain. OptionalOptional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DomainRegister',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'domainid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DomainRegister';
$postData = array(
    'domainid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success"
}

Error Responses

Possible error condition responses include:

  • Domain Not Found
  • Registrar Error Message
  • Invalid IDN Language. Must be one of: xxx

Version History

VersionChangelog
1.0Initial Version
8.0Added IDN Language parameter